List ClickHouse settings
Disclaimer: This beta endpoint is evolving; the API contract may change.
Returns the configured ClickHouse settings for the service. Only settings that have been explicitly set are included.
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
clickhouseSettings
List ClickHouse settings
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickhouseSettings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickhouseSettings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickhouseSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"settings": [
{
"name": "compatibility",
"value": "24.8"
}
]
}
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
Disclaimer: This beta endpoint is evolving; the API contract may change.
Returns the configured ClickHouse settings for the service. Only settings that have been explicitly set are included.
Returns the configured ClickHouse settings for the service. Only settings that have been explicitly set are included.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the service.
Last modified on July 9, 2026
Was this page helpful?
⌘I
List ClickHouse settings
